=== debian/changelog ===
ros-foxy-sbg-driver (1.0.1-1focal) focal; urgency=high

  * Update Licenses
  * First version

 -- Rémi Burtin <remi.burtin@sbg-systems.com>  Wed, 08 Jul 2020 22:00:00 -0000
