=== debian/control ===
Source: ros-foxy-sbg-driver
Section: misc
Priority: optional
Maintainer: Rémi Burtin <remi.burtin@sbg-systems.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-foxy-ament-cmake, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rosidl-default-generators, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/sbg_driver
Standards-Version: 3.9.2

Package: ros-foxy-sbg-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rosidl-default-runtime, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-ros-workspace
Description: ROS driver package for communication with the SBG navigation systems.
